Page MenuHomePhabricator

DropdownInput no longer reacts to keypresses when menu not shown
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Go to https://en.wikipedia.org/wiki/Special:ApiSandbox
  2. Focus the dropdown for action via tabbing.
  3. Press "q".

Expected (old behaviour of some weeks ago): "query" is selected.
Actual: Nothing happens. Or, if you have enabled "search as you type" in your browser, the browser search opens, and takes away both focus and current scroll position.

Event Timeline

Schnark created this task.Oct 23 2018, 9:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2018, 9:27 AM

Change 469967 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] DropdownWidget: Fix keypress handling when menu is closed

https://gerrit.wikimedia.org/r/469967

Volker_E moved this task from Backlog to OOUI-0.29.3 on the OOUI board.Oct 26 2018, 7:58 PM
Volker_E edited projects, added OOUI (OOUI-0.29.3); removed OOUI.

Change 469967 merged by jenkins-bot:
[oojs/ui@master] DropdownWidget: Fix keypress handling when menu is closed

https://gerrit.wikimedia.org/r/469967

Volker_E closed this task as Resolved.Nov 1 2018, 1:01 AM
Volker_E triaged this task as Medium priority.
Volker_E removed a project: Patch-For-Review.

Change 470967 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.29.3

https://gerrit.wikimedia.org/r/470967

Change 470967 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.29.3

https://gerrit.wikimedia.org/r/470967